Create Webhook Endpoint
POST
/api/v1/webhooks
const url = 'https://example.com/api/v1/webhooks';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"url":"example","is_active":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/webhooks \ --header 'Content-Type: application/json' \ --data '{ "url": "example", "is_active": true }'Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
WebhookCreate
object
url
required
Url
string
is_active
Is Active
boolean
Responses
Section titled “Responses”Successful Response
Media typeapplication/json
WebhookCreated
Response model for POST — includes secret (shown once).
object
id
required
Id
integer
url
required
Url
string
is_active
required
Is Active
boolean
created_at
required
Created At
string format: date-time
updated_at
required
Updated At
string format: date-time
secret
required
Secret
string
Example generated
{ "id": 1, "url": "example", "is_active": true, "created_at": "2026-04-15T12:00:00Z", "updated_at": "2026-04-15T12:00:00Z", "secret": "example"}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Example generated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}